# $Revision: 1.19 $, $Date: 2005/01/12 07:21:38 $
%define		zope_subname	CMFForum
Summary:	A Zope product that Anonymous can post by default
Summary(pl):	Dodatek do Zope dajcy moliwo wysania e-maila
Name:		Zope-%{zope_subname}
Version:	1.0
Release:	10
License:	ZPL 2.0
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/collective/%{zope_subname}-%{version}.tgz
# Source0-md5:	dc9ee26b8c78a32238afd2540dcf258c
URL:		http://sourceforge.net/projects/collective/
%pyrequires_eq	python-modules
Requires:	Zope >= 2.5.1
Requires:	Zope-CMF >= 1:1.4
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	CMF

%description
CMMForum is a Zope product - Anonymous can post by default but can't
add Attachments - Anonymous can set Author and e-mail fields. Logged
in user gets 'username' as Author and email from preferences. Security
cleanup.

%description -l pl
CMMForum jest dodatkiem do Zope umoliwiajcym dodanie formy wysyania
e-mailem bez moliwoci wysyania zacznikw. Anonymous moe ustawi
adres e-mail, a jeeli zaloguje si jako konkretny uytkownik, wtedy
pobierane s odpowiednie pola z preferencji. Dodatek sprawdzony pod
wzgldem bezpieczestwa.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Extensions,interfaces,skins,*.py,*.gif,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt HISTORY.txt INSTALL.txt README.txt TODO.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: Zope-CMFForum.spec,v $
Revision 1.19  2005/01/12 07:21:38  ciesiel
- remove R:python
- fixed BR:CMF (epoch)

Revision 1.18  2004/12/27 14:16:32  saq
- release 9 for rebuild with python 2.4

Revision 1.17  2004/10/30 11:59:12  paladine
- spaces->tabs

Revision 1.16  2004/08/10 19:34:35  ciesiel
- up rel. for build

Revision 1.15  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.14  2003/12/03 18:08:18  ciesiel
- removed Licenses*

Revision 1.13  2003/12/03 16:18:21  ciesiel
- added missing file

Revision 1.12  2003/11/17 08:08:26  ciesiel
- install into new dir (datadir)
- installzopeproduct
- cleaning

Revision 1.11  2003/11/16 13:21:57  ciesiel
- changed some obsoletes to conflicts

Revision 1.10  2003/11/15 22:42:49  ciesiel
- added obsoletes

Revision 1.9  2003/11/15 15:20:13  ciesiel
- rel. 3

Revision 1.8  2003/11/15 15:19:08  ciesiel
- changed req.

Revision 1.7  2003/10/07 10:15:05  qboosh
- fixed License, cleanups/simplifications

Revision 1.6  2003/09/27 17:21:44  ciesiel
- .py needed by packages

Revision 1.5  2003/08/22 14:09:33  qboosh
- cleanups

Revision 1.4  2003/07/31 16:10:46  ciesiel
- typo

Revision 1.3  2003/07/30 14:42:44  ciesiel
- freshen log
